Baltix GNU/Linux

cups smb printing backend no longer works

Reported by mannheim on 2006-04-13
154
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu
Medium
Unassigned
samba (Baltix)
Undecided
Unassigned
samba (Ubuntu)
High
Ubuntu Server Team

Bug Description

Printing to remote printers using cups + samba no longer works for me. This problem arose after updating my dapper installation sometime near April 12th.

The setup: a home network consisting of one ubuntu box and one Windows XP box. The Windows XP box has two printers attached, both shared to the network with Windows printer sharing. The ubuntu box has these remote printers configured using CUPS and samba. This setup worked in early April.

Today (April 13) it does not work. When trying to print from ubuntu, the GUI reports that the remote printer is "paused". The cups error log contains stuff like this (username replaced by xxxx):

I [13/Apr/2006:08:37:45 -0400] Started "/usr/lib/cups/daemon/cups-deviced" (pid=6066)
I [13/Apr/2006:08:40:10 -0400] Adding start banner page "none" to job 119.
I [13/Apr/2006:08:40:10 -0400] Adding end banner page "none" to job 119.
I [13/Apr/2006:08:40:10 -0400] Job 119 queued on "LaserJet-4L" by "xxxx".
I [13/Apr/2006:08:40:10 -0400] Started filter /usr/lib/cups/filter/pstops (PID 6358) for job 119.
I [13/Apr/2006:08:40:10 -0400] Started filter /usr/lib/cups/filter/foomatic-rip (PID 6359) for job 119.
I [13/Apr/2006:08:40:10 -0400] Started backend /usr/lib/cups/backend/smb (PID 6360) for job 119.
E [13/Apr/2006:08:40:11 -0400] PID 6360 crashed on signal 11!
I [13/Apr/2006:08:40:11 -0400] Hint: Try setting the LogLevel to "debug" to find out more.
E [13/Apr/2006:08:40:17 -0400] PID 6359 stopped with status 9!

Later in the log file:

I [13/Apr/2006:08:47:51 -0400] Started "/usr/lib/cups/daemon/cups-driverd" (pid=7053)
E [13/Apr/2006:08:47:52 -0400] [cups-driverd] Unable to open driver directory "/usr/lib/cups/driver": No such file or directory
E [13/Apr/2006:08:49:19 -0400] cupsdAuthorize: Local authentication certificate not found!
E [13/Apr/2006:08:49:19 -0400] cupsdAuthorize: Local authentication certificate not found!
E [13/Apr/2006:08:49:24 -0400] cupsdAuthorize: Local authentication certificate not found!
E [13/Apr/2006:08:49:24 -0400] cupsdAuthorize: Local authentication certificate not found!
E [13/Apr/2006:08:49:29 -0400] cupsdAuthorize: Local authentication certificate not found!
E [13/Apr/2006:08:49:29 -0400] cupsdAuthorize: Local authentication certificate not found!
E [13/Apr/2006:08:49:34 -0400] cupsdAuthorize: Local authentication certificate not found!

etc.

Note: the original reporter indicated the bug was in package 'cups'; however, that package was not published in Ubuntu.

Bazon (bazonbloch) wrote :

At least two more other people suffer from this bug, see here:
http://ubuntuforums.org/showthread.php?t=160041

Please confirm + fix! :)

Bazon (bazonbloch) wrote :
Download full text (19.0 KiB)

Additional:
/var/log/cups/error_log in Normal mode:
I [14/Apr/2006:10:52:37 +0200] Job 1 queued on "HP-DeskJet-950C" by "bazon".
I [14/Apr/2006:10:52:37 +0200] Started filter /usr/lib/cups/filter/pstops (PID 8454) for job 1.
I [14/Apr/2006:10:52:37 +0200] Started filter /usr/lib/cups/filter/foomatic-rip (PID 8455) for job 1.
I [14/Apr/2006:10:52:37 +0200] Started backend /usr/lib/cups/backend/smb (PID 8456) for job 1.
E [14/Apr/2006:10:52:37 +0200] PID 8456 crashed on signal 11!
I [14/Apr/2006:10:52:37 +0200] Hint: Try setting the LogLevel to "debug" to find out more.
E [14/Apr/2006:10:52:44 +0200] PID 8455 stopped with status 9!
I [14/Apr/2006:10:52:44 +0200] Hint: Try setting the LogLevel to "debug" to find out more.
I [14/Apr/2006:10:52:44 +0200] Saving printers.conf...

/var/log/cups/error_log in debug mode:

D [14/Apr/2006:11:24:50 +0200] cupsdAcceptClient: 6 from localhost (Domain)
D [14/Apr/2006:11:24:50 +0200] cupsdReadClient: 6 POST /printers/HP-DeskJet-950C HTTP/1.1
D [14/Apr/2006:11:24:50 +0200] cupsdAuthorize: No authentication data provided.
D [14/Apr/2006:11:24:50 +0200] print_job: auto-typing file...
D [14/Apr/2006:11:24:50 +0200] print_job: request file type is application/postscript.
D [14/Apr/2006:11:24:50 +0200] check_quotas: requesting-user-name = "bazon"
D [14/Apr/2006:11:24:50 +0200] print_job: requesting-user-name = "bazon"
D [14/Apr/2006:11:24:50 +0200] Adding default job-sheets values "none,none"...
I [14/Apr/2006:11:24:50 +0200] Adding start banner page "none" to job 3.
I [14/Apr/2006:11:24:50 +0200] Adding end banner page "none" to job 3.
I [14/Apr/2006:11:24:50 +0200] Job 3 queued on "HP-DeskJet-950C" by "bazon".
D [14/Apr/2006:11:24:50 +0200] Job 3 hold_until = 0
D [14/Apr/2006:11:24:50 +0200] Discarding unused job-created event...
D [14/Apr/2006:11:24:50 +0200] cupsdStartJob() id = 3, file = 0/1
D [14/Apr/2006:11:24:50 +0200] job-sheets=none,none
D [14/Apr/2006:11:24:50 +0200] banner_page = 0
D [14/Apr/2006:11:24:50 +0200] cupsdStartJob: argv = "HP-DeskJet-950C","3","bazon","Testseite","1","","/var/spool/cups/d00003-001"
D [14/Apr/2006:11:24:50 +0200] cupsdStartJob: envp[0]="CUPS_CACHEDIR=/var/cache/cups"
D [14/Apr/2006:11:24:50 +0200] cupsdStartJob: envp[1]="CUPS_DATADIR=/usr/share/cups"
D [14/Apr/2006:11:24:50 +0200] cupsdStartJob: envp[2]="CUPS_DOCROOT=/usr/share/cups/doc-root"
D [14/Apr/2006:11:24:50 +0200] cupsdStartJob: envp[3]="CUPS_FONTPATH=/usr/share/cups/fonts"
D [14/Apr/2006:11:24:50 +0200] cupsdStartJob: envp[4]="CUPS_REQUESTROOT=/var/spool/cups"
D [14/Apr/2006:11:24:50 +0200] cupsdStartJob: envp[5]="CUPS_SERVERBIN=/usr/lib/cups"
D [14/Apr/2006:11:24:50 +0200] cupsdStartJob: envp[6]="CUPS_SERVERROOT=/etc/cups"
D [14/Apr/2006:11:24:50 +0200] cupsdStartJob: envp[7]="CUPS_STATEDIR=/var/run/cups"
D [14/Apr/2006:11:24:50 +0200] cupsdStartJob: envp[8]="PATH=/usr/lib/cups/filter:/bin:/usr/bin"
D [14/Apr/2006:11:24:50 +0200] cupsdStartJob: envp[9]="SOFTWARE=CUPS/1.2svn"
D [14/Apr/2006:11:24:50 +0200] cupsdStartJob: envp[10]="TMPDIR=/var/spool/cups/tmp"
D [14/Apr/2006:11:24:50 +0200] cupsdStartJob: envp[11]="TZ=Europe/Berlin"
D [14/Apr/2006:11:24:50 +0200] cupsdSt...

Athurva Gore (agore187) wrote :

Can confirm that this affects me too. What drivers is everyone using to connect? Could it be related to a specific kind of printer? I'm trying to use it with the HPLIP drivers.

mannheim (kronheim) wrote :

I have experienced this with two different printers and three different drivers. (Laserjet 4L with both "HP" and "HP LIP"; and a Canon printer with the Turbojet printers.) I don't think this is a driver-specific issue.

Bazon (bazonbloch) wrote :

I tried all accesable drivers, too, so I don't think it's adriver thing, too.

What is common in all 3 crash reports is:

(PID of cups backend) crashed on signal 11!

As this worked before in breezy I hope it should be easy to fix...
(...but I'm not the one who knows how...)

Confirming this bug.
When printing a test page the following appears in the error_log file:
E [14/Apr/2006:21:36:40 +0100] PID 4914 crashed on signal 11!
E [14/Apr/2006:21:36:45 +0100] PID 4913 stopped with status 9!

The bug has appeared since 8th of April.

mannheim (kronheim) wrote :

The bug may be in smbspool: from the terminal --

$ DEVICE_URI="smb://user:topsecret@GROUP/SOMEPC/Canon"
$ export DEVICE_URI
$ echo something | smbspool 99 me test 1 ""
Segmentation fault

This does not occur on another linux system I tried: instead of "Segmentation fault" one should get something like:

     cli_full_connection: failed to connect to SOMEPC<20> (0.0.0.0)

The version of smbspool that I have is from the package smbclient 3.0.22-1ubuntu1 (dapper), which I installed on April 10. In all other respects, samba appears to be working fine.

mannheim (kronheim) wrote :

I can confirm that smbspool is the problem. I unpacked the copy of smbspool from the older package smbclient-3.0.21b-1ubuntu1, and replaced /usr/bin/smbspool. Reverting to the older version of smbspool cures the problem.

So this bug should be labelled as belonging to package smbclient. (But unlike bugzilla, this launchpad doesn't seem to have a way for me to change the package.)

mannheim (kronheim) wrote :

I opened a new Bug #39662 on the package smbclient (because I have no apparent way of indicating otherwise that this bug is in the package smblcient).

+1
A set-up which worked perfectly in Breezy is completely non-functional in Dapper, with no manual changes made to the set-up. Trying to print to a WinXP shared printer across a LAN and samba etc.

Same problem here:
it's ubuntu dapper flight 6 amd64.
My cups log file is full of:

E [19/Apr/2006:16:33:06 +0200] PID 5854 crashed on signal 11!
E [19/Apr/2006:16:33:06 +0200] cupsdAuthorize: Local authentication certificate not found!
E [19/Apr/2006:16:33:06 +0200] cupsdAuthorize: Local authentication certificate not found!

Ryan Rawdon (flieslikeabrick) wrote :

I can confirm this bug. I was using Kubuntu and all of a sudden my printing stopped working after a certain upgrade.

I reinstalled to ubuntu today, completely fresh, same exact problem with any network/smb printing.

Another desktop on a seprate network with a completely fresh install and absolutely separated from this one in every fashion is having the same issue.

I have configured printing via smb many, many times and all at once everything stopped working for me. This occured before the release of flight 6, but flight 5 had fine printing until a particular update.

Ryan Rawdon (flieslikeabrick) wrote :

To add to my previous comment, I am using nothing but postscript drivers. This is obviously not a driver issue, but rather a SMB problem

The following is a copy of a comment i accidentally added to bug #39662.

I've located the error. It's due to the ubuntu-setlocale.patch that was applied in version 3.0.22-1ubuntu1. That patch uses a table which is filled in at initialisation time to look up the uppercase version of all unicode letters. If this table is not yet initialised, it will result in a segfault.

I think the proper way to fix this is to always check if a certain initialisation function has been called before allowing anything at all to happen, but I suppose that decision is up to the samba developers. For now this patch which just adds a call to load_case_tables() in the beginning of smbspool.c, will probably do just fine. This approach is also used by smbclient and smbmount.

The attached file replaces the current ubuntu-setlocale.patch currently present in debian/patches in the samba source package.

Adam could you evaluate the proposed patch ?

Changed in samba:
assignee: nobody → adconrad
Soren Hansen (soren) wrote :

I've compiled it with the proposed patch and put it into our repository. You can try it yourself:
http://www.linux2go.dk//ubuntu/pool/main/s/samba/smbclient_3.0.22-1ubuntu1linux2go1_i386.deb

Sean (sean-compusmith) wrote :

I too can confirm this bug. Even on the beta version of Dapper (fully updated as of 04/23/06) I can not print to my HP PSC 750 on a fully updated Windows XP SP2 machine. Same symptoms -- document is "sent" to printer, a pause of about four or five seconds, and then a print fail icon and a paused printer.

debutgland (cyrille-hz) wrote :

The patch given by Soren Hansen is working for me

santo (santo-prive) wrote :

I cannot get the patched smbclient to install:

$ sudo dpkg -i smbclient_3.0.22-1ubuntu1linux2go1_i386.deb
(Reading database ... 128287 files and directories currently installed.)
Preparing to replace smbclient 3.0.22-1ubuntu1 (using smbclient_3.0.22-1ubuntu1linux2go1_i386.deb) ...
Unpacking replacement smbclient ...
dpkg: dependency problems prevent configuration of smbclient:
 smbclient depends on samba-common (= 3.0.22-1ubuntu1linux2go1); however:
  Version of samba-common on system is 3.0.22-1ubuntu1.
dpkg: error processing smbclient (--install):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 smbclient

santo (santo-prive) wrote :

Due to the failed attempt to install the patched smbclient package (see previous post), my system is now broken !
Cannot update anymore, cannot remove or reinstall the smbclient package, it's just broken.
Removing or fixing the smbclient package will also remove ubuntu-desktop and kubuntu-desktop and that's not what I want really !

Soren Hansen (soren) wrote :

Heh... Sorry about that. :-)
If you go to: http://www.linux2go.dk//ubuntu/pool/main/s/samba/

and fetch the samba, samba-common and smbfs packages and install them too, everything should be fine. When a new version shows up in ubuntu it will automatically replace these packages.

either that, or you can add our repository to your sources.list:

deb http://www.linux2go.dk/ubuntu dapper main

santo (santo-prive) wrote :

no problem, I'll add the repository and try again.

Adam Conrad (adconrad) wrote :

Note that this bug hasn't slipped under the radar or anything; I'm just investigating other similar bugs caused by this same patch, so I can fix them all at once, rather than one at a time.

Changed in samba:
status: Confirmed → In Progress
santo (santo-prive) wrote :

Broken system is fixed again by manually downloading and installing the samba, samba-common en smbfs packages.
Adding deb http://www.linux2go.dk/ubuntu dapper main to the repositories and trying to install the 3 packages through apt didn't work (complaining about dependencies with samba-common)

Anyway, everything seems to be working again. Now let's hope the patched version fixes the printing problems :-)

Thanks Soren for the prompt assistance !

John Haines (wanderer) wrote :

I can confirm this no printing/pause printing to my network printer as well on my Epson CX3700.

I tried the patch by Soren, however got the following error in package installer:
Error: Dependency is not satisfiable: samba-common

santo (santo-prive) wrote :

Hey John, see my posts above:
You should also download samba, samba-common and smbfs from http://www.linux2go.dk//ubuntu/pool/main/s/samba/

santo (santo-prive) wrote :
Download full text (10.1 KiB)

After installing the patch, the "crashed on signal 11" errors seem to have disappeared, however printing still isn't working for me:
(I removed the existing printer, re-added it and then tried to print some document)

E [25/Apr/2006:09:08:26 +0200] cupsdAuthorize: Local authentication certificate not found!
E [25/Apr/2006:09:08:26 +0200] cupsdAuthorize: Local authentication certificate not found!
E [25/Apr/2006:09:08:26 +0200] cupsdAuthorize: Local authentication certificate not found!
E [25/Apr/2006:09:08:30 +0200] cupsdAuthorize: Local authentication certificate not found!
E [25/Apr/2006:09:08:30 +0200] CUPS-Delete-Printer: Unauthorized
E [25/Apr/2006:09:10:12 +0200] CUPS-Add-Modify-Printer: Unauthorized
E [25/Apr/2006:09:11:44 +0200] [Job 6] Session setup failed: NT_STATUS_LOGON_FAILURE
E [25/Apr/2006:09:11:44 +0200] [Job 6] No ticket cache found for userid=1000
E [25/Apr/2006:09:11:44 +0200] [Job 6] Can not get the ticket cache for gds
E [25/Apr/2006:09:11:44 +0200] [Job 6] perl: warning: Setting locale failed.
E [25/Apr/2006:09:11:44 +0200] [Job 6] perl: warning: Please check that your locale settings:
E [25/Apr/2006:09:11:44 +0200] [Job 6] LANGUAGE = (unset),
E [25/Apr/2006:09:11:44 +0200] [Job 6] LC_ALL = (unset),
E [25/Apr/2006:09:11:44 +0200] [Job 6] LANG = "en_US"
E [25/Apr/2006:09:11:44 +0200] [Job 6] are supported and installed on your system.
E [25/Apr/2006:09:11:44 +0200] [Job 6] perl: warning: Falling back to the standard locale ("C").
E [25/Apr/2006:09:11:44 +0200] [Job 6] Session setup failed: NT_STATUS_LOGON_FAILURE
E [25/Apr/2006:09:11:45 +0200] [Job 6] Tree connect failed (NT_STATUS_ACCESS_DENIED)
E [25/Apr/2006:09:11:45 +0200] [Job 6] Unable to connect to CIFS host, will retry in 60 seconds...
E [25/Apr/2006:09:11:45 +0200] [Job 6] foomatic-rip version $Revision: 3.43.2.15 $ running...
E [25/Apr/2006:09:11:45 +0200] [Job 6] Parsing PPD file ...
E [25/Apr/2006:09:11:45 +0200] [Job 6] *cupsFilter: "application/vnd.cups-postscript 0 foomatic-rip"
E [25/Apr/2006:09:11:45 +0200] [Job 6] Added option ColorSpace
E [25/Apr/2006:09:11:45 +0200] [Job 6] Added option PageSize
E [25/Apr/2006:09:11:45 +0200] [Job 6] Added option PageRegion
E [25/Apr/2006:09:11:45 +0200] [Job 6] Added option ImageableArea
E [25/Apr/2006:09:11:45 +0200] [Job 6] Added option PaperDimension
E [25/Apr/2006:09:11:45 +0200] [Job 6] Added option InputSlot
E [25/Apr/2006:09:11:45 +0200] [Job 6] Added option MediaType
E [25/Apr/2006:09:11:45 +0200] [Job 6] Added option Resolution
E [25/Apr/2006:09:11:45 +0200] [Job 6] Added option EconoMode
E [25/Apr/2006:09:11:45 +0200] [Job 6] Added option HalftoningAlgorithm
E [25/Apr/2006:09:11:45 +0200] [Job 6] Added option Font
E [25/Apr/2006:09:11:45 +0200] [Job 6]
E [25/Apr/2006:09:11:45 +0200] [Job 6] Parameter Summary
E [25/Apr/2006:09:11:45 +0200] [Job 6] -----------------
E [25/Apr/2006:09:11:45 +0200] [Job 6]
E [25/Apr/2006:09:11:45 +0200] [Job 6] Spooler: cups
E [25/Apr/2006:09:11:45 +0200] [Job 6] Printer: HL-1250
E [25/Apr/2006:09:11:45 +0200] [Job 6] PPD file: /etc/cups/ppd/HL-1250.ppd
E [25/Apr/2006:09:11:45 +0200] [Job 6] Printer model: Brother HL-1250 Foomatic/hl125...

Soren Hansen (soren) wrote :

santo, I think you're experiencing a different issue. With my patch printing works like a charm for me.
You can check your /etc/cups/printers.conf to see if your username and password are actually set properly.

John Haines (wanderer) wrote :

Tried as you said "You should also download samba, samba-common and smbfs" - but downloading the debs and using the deb installer in dapper gives me errors on all the files when trying to install them, and I don't know how to do it any other way :(

John Haines (wanderer) wrote :

Happy to report success:

Soren suggested: "you can add our repository to your sources.list:
deb http://www.linux2go.dk/ubuntu dapper main"

Did that, installed the samba stuff from that repository and now I have a perfect printer through my network.. :)
Thank you for this fix :)

santo (santo-prive) wrote :

Ok Soren, I'll check it later today as I'm currently in windows (yes, indeed) to get my job done...

Bazon (bazonbloch) wrote :

> Happy to report success:
>
> Soren suggested: "you can add our repository to your sources.list:
> deb http://www.linux2go.dk/ubuntu dapper main"

worked also for me!
(After deleting the quick-fix proposed in the thread before...)

Thanks!

santo (santo-prive) wrote :

I checked /etc/cups/printers.conf as suggested and it looks OK (username & password are correctly set), but still no go :-(

José M. López-Cepero (cepe) wrote :

+1, and I can confirm that the patched version is working OK

Anders Brander (andersbrander) wrote :

I can confirm that this resolves printing to Windows 2000.

Thanks Soren! Work for me too...(printing via Windows Xp professional)

Frank Siegert (fsiegert) wrote :

Sorens packages resolve this bug for me too (but you also have to download smbclient and libsmbclient, since these contain /usr/bin/smbspool!). Thanks for finding the fix.

Ed Comer (celem) wrote :

I recently upgraded from 5.10 to dapper beta and experienced the same problem, namely "pause" after each print attempt. After I inserted "deb http://www.linux2go.dk/ubuntu dapper main" and did an update, which downloaded the SMB files, my printing was restored. QUESTION: Is this fix going to make it into the final release of dapper?

Ante Karamatić (ivoks) wrote :

Bug is confirmed and it's being worked on. It even has Major 'severity' set up. So, yes, it will be fixed before Dapper get's out.

Erich Pawlik (erichpawlik) wrote :

It could well a relationship between this bug and bug #39990. Those two issues occurred at the same time. The anaylsis at that bug has indicated that name service lookups using wins lead to a segmentation fault (as reported in mannheim's post).

Regards

Erich

24 comments hidden view all 104 comments
Martin Pitt (pitti) wrote :

This should have been fixed in

samba (3.0.22-1ubuntu2) dapper; urgency=low

  * After much faff about fixing this properly and getting fixes
    submitted upstream (some of which has happened), I've concluded
    that getting every case_tables usage in the code nailed down
    before release just isn't going to happen, so applying a more
    global bandaid (ubuntu-setlocale-fixes.patch) instead to stop
    the SEGVs completely (closes: launchpad.net/{39990,39484,39956})
  * Snag a patch from upstream SVN to stop winbindd from panicking
    when not joined to a domain (closes: launchpad.net/32614)
  * Mangle patch fuzz for previous patch to make it apply cleanly.

 -- Adam Conrad <email address hidden> Tue, 16 May 2006 22:36:17 +1000

Reporters, can you please confirm?

Miia Ranta (myrtti) wrote :

I've had the similar problems and now it seems to work. I don't know if the problem was my typo or Gnomes printer configuration tools, but the user password in printers.conf was replaced by the detected connection name of the printer connected to. Some nanoing with the config file and restarting cups afterwards fixed it. THANK YOU!

Adam Conrad (adconrad) wrote :

Fixed in 3.0.22-1ubuntu2.

Changed in samba:
status: In Progress → Fix Released
Erich Pawlik (erichpawlik) wrote :

fix is working on my 2 machines

Regards

Erich

Ed Comer (celem) wrote :

Still no joy! Each day I load all of the Dapper update, thus my machine is up to date, yet I still cannot print via my Windows box as I could with linux2go. I checked my installed version and it is 3.0.22-1ubuntu3, which, I assume, was loaded as part of the official updates. Is the fix mentioned by Martin Pitt part of the normal updates or am I supposed to search for 3.0.22-1ubuntu2, or the setlocale patch, or what??

As of this update I can now print from Linux to Windows using two
different drivers on two different prints. It seems that the problem
left is from Windows to a cups server on Linux.

On Wed, 2006-05-17 at 15:04 +0000, Ed Comer wrote:
> Still no joy! Each day I load all of the Dapper update, thus my machine
> is up to date, yet I still cannot print via my Windows box as I could
> with linux2go. I checked my installed version and it is 3.0.22-1ubuntu3,
> which, I assume, was loaded as part of the official updates. Is the fix
> mentioned by Martin Pitt part of the normal updates or am I supposed to
> search for 3.0.22-1ubuntu2, or the setlocale patch, or what??
>

Ante Karamatić (ivoks) wrote :

What problems do you have when printing from Windows to CUPS? Do you use IPP or SMB protocol?

Ed Comer (celem) wrote :

No. My wording wasn't clear enough. My problem that remains is printing from a Ubuntu Dapper machine TO a printer on windows XP machine. It worked fine using linux2go but not the official Ubuntu libraries downloaded via update. However, my loaded version is 3.0.22-1ubuntu3, not 3.0.22-1ubuntu2 as mentioned by Martin Pitt. Like I said previously, is the fix mentioned by Martin Pitt part of the normal updates or am I supposed to search for 3.0.22-1ubuntu2, or the setlocale patch, or what??

Martin Pitt (pitti) wrote :

Ed, the fix is supposed to be contained in the version you have, but apparently it's incomplete. Adam, any idea?

Nael Masood (neochaos) wrote :

Can confirm that the latest samba package updates have fixed it for me, too. I can print from my Kubuntu machine to the Windows machine with my printer.

Chris Jones (cmsj) wrote :

SMB printing is now working fine here too (Dapper/PPC64)

Ed Comer (celem) wrote :

Joy at last! After seeing that it was working for others I felt that something was wrong with my load, so I did a complete removal for all of SAMBA and CUPS. Then I did an install for SAMBA and CUPS and it now works!! I can, once again, print to the printer on my XP box. Thanks!

david (ubuntu-deg) wrote :

OK. I can confirm my Epson Stylus Photo R300 is printing again in Windows XP with smb after the last update of SAMBA and CUPS, Dapper386. I'm so glad....

i can confirm this bug too, since dapper, i'm unable to use printers at school! (and other ubuntu users have the same problem too)

please fix this soon

just noticed that it works, problem was that the printer was replaced with another model :D and not dapper, sorry!

HarveyB (hbraun) wrote :

Can it be confirmed if this bug is still being worked on? I have seen the "Fix released" but I am still having the exact problem with my Dapper 6.06 install. It occured when I did my distro update from 5.10 and I have tried a complete default install as well as adding the printer from our NT domain after a full update of 6.06. The printers connection only lasts until cupsys is restarted, then the user/password info gets dropped and the printer goes to Paused.

Regards

Soren Hansen (soren) wrote :

On Tue, Jul 04, 2006 at 11:39:50PM -0000, HarveyB wrote:
> Can it be confirmed if this bug is still being worked on?

To the best of our knowlegde it had been fixed.

> I have seen the "Fix released" but I am still having the exact problem
> with my Dapper 6.06 install. It occured when I did my distro update
> from 5.10 and I have tried a complete default install as well as
> adding the printer from our NT domain after a full update of 6.06. The
> printers connection only lasts until cupsys is restarted, then the
> user/password info gets dropped and the printer goes to Paused.

This sounds like a different issue. The issue handled in this bug was
smbspool segfaulting so any samba printers effectively were not working.

Does the printer in fact work from the time where you configure it until
cupsys is restarted?

How do you determine that the user/password info gets dropped?

Cheers, Søren

HarveyB (hbraun) wrote :

Yes the printer works fine when I first set it up until cupsys gets restarted. When I do a cupsys restart the printer still shows as being "Ready" however sending a print job to it results in a "Printer Paused" result.

I noticed when I started the gnome-cups-manager from a terminal that when I first installed the printer and opened up the properties menu a list of ppd info gets printed to the terminal and the last of the info is the connection details. When cupsys is restarted the connection details gets dropped.

Example
When I have established a connection to the windows printer the last of the terminal information after opening up the Properties box is

** (gnome-printer-view:8176): WARNING **: method :'smb'
user :'#$'
host :'ASOFSVR'
port :0
resource :'/Kyoc_Up'

After doing a /etc/init.d/cupsys restart I now get this when the Properties menu is opened

** (gnome-printer-view:8401): WARNING **: method :'smb'
user :''
host :''
port :0
resource :'/'

Cheers

HarveyB (hbraun) wrote :

Actually I should also note that the /etc/cups/printer.conf information does not change after the printer is initially set up. The "DeviceURI smb://harvey:!@#$@ASOFSVR/Kyoc_Up" line as well as all other information remains constant when the printer is in either state.

Cheers again

1 comments hidden view all 104 comments

This bug is STILL occuring on my computer... Should it be fixed by now?

Kind Regards,
Matthew

Sumadartson (wgphaff) wrote :

Dito here... No idea what's going wrong.

This the latest tail from my /var/log/cups/error_log

E [10/Jul/2006:15:59:33 +0200] cupsdAuthorize: Local authentication certificate not found!
E [10/Jul/2006:15:59:33 +0200] cupsdAuthorize: Local authentication certificate not found!
E [10/Jul/2006:15:59:38 +0200] cupsdAuthorize: Local authentication certificate not found!
E [10/Jul/2006:15:59:41 +0200] cupsdAuthorize: Local authentication certificate not found!
E [10/Jul/2006:15:59:41 +0200] cupsdAuthorize: Local authentication certificate not found!
E [10/Jul/2006:15:59:41 +0200] cupsdAuthorize: Local authentication certificate not found!
E [10/Jul/2006:15:59:43 +0200] cupsdAuthorize: Local authentication certificate not found!
E [10/Jul/2006:15:59:43 +0200] cupsdAuthorize: Local authentication certificate not found!
E [10/Jul/2006:15:59:44 +0200] cupsdAuthorize: Local authentication certificate not found!
E [10/Jul/2006:15:59:47 +0200] cupsdAuthorize: Local authentication certificate not found!
E [10/Jul/2006:15:59:47 +0200] cupsdAuthorize: Local authentication certificate not found!
E [10/Jul/2006:15:59:47 +0200] cupsdAuthorize: Local authentication certificate not found!
E [10/Jul/2006:15:59:48 +0200] cupsdAuthorize: Local authentication certificate not found!
E [10/Jul/2006:15:59:48 +0200] cupsdAuthorize: Local authentication certificate not found!
E [10/Jul/2006:15:59:48 +0200] cupsdAuthorize: Local authentication certificate not found!
E [10/Jul/2006:15:59:48 +0200] cupsdAuthorize: Local authentication certificate not found!
E [10/Jul/2006:15:59:50 +0200] cupsdAuthorize: Local authentication certificate not found!

Sjors (provoostenator) wrote :

I am using a fresh install of Kubuntu Edgy and have the same problem:

E [07/Nov/2006:14:13:50 +0100] cupsdAuthorize: Local authentication certificate not found!

I am unable to use deb http://www.linux2go.dk/ubuntu dapper main (but perhaps I misunderstand it).

Sjors

David Marín (davefx) wrote :

I've reproduce this error in current edgy version. It's strange, as I have two edgy machines connected to the same network, with the same configuration, and one of them segfaults and the other doesn't.

Changed in samba:
status: Fix Released → Confirmed
Weiers Coetser (coetserw) wrote :

I also get the cupsdAuthorize: Local authentication certificate not found!

Last week I was able to print to my HP1020 and my HP 5L which was installed on my wife's Windows XP box. Then I nuked Windows, installed Edubuntu (fiesty), and it also worked. Then I wanted to do some file sharing and installed Samba, and suddenly my printers stopped working. I cannot get either of them going on my Edubuntu box, or on my Ubuntu box which has samba installed.

Today I tried to remove Samba completely, but I was still not able to get the printer going.

Is there any way I can resolve this issue? (Is it still seen as a bug?)

BigDaddy (jungerle) wrote :

Still getting "cupsdAuthorize: Local authentication certificate not found!"

I have a box originally with a fresh install of Edgy, and all updated patches.

Using samba 3.0.22-1ubuntu4

I have tried uninstalling and reinstalling Samba and Cupsys with apt but continue to get the "cupsdAuthorize" message.

Any help is greatly appreciated.

Bohdan Kmit' (mit) wrote :

Have this problem in Edgy with all latest updates installed too.

In my case solution was very simple - password for printer access contain symbol "<".

After I have removed this very special (for unix shell) symbol - printer start working again!

Lanoxx (lanoxx) wrote :

+1

im experiencing the same problem, i can not use a printer share on linux at all, i already tried:

 WinXP (shared printer) to Suse 10.2 (client)
 WinXP (shared printer) to Ubuntu 6.04 (client)
 Suse 10.2 (share via Samba) to Ubuntu 6.04 (client)

neither worked. I always get the:
Ready: /usr/lib/cups/backend/smb failed
or
Paused: /usr/lib/cups/backend/smb failed
error!

i have done all the lates updates!

YET !!!!!!:::

 Suse 10.2 (share via Samba) to WinXP client works perfect!
I just had to choose the right driver. no authentication needed at all. I could start printing immediately.

Soren Hansen (soren) wrote :

6.04? Do you mean 6.06 perhaps? Is it properly up-to-date?

Lanoxx (lanoxx) wrote :

typo above, ofcourse it should mean 6.10.... i was probably already thinking of 7.04 so i mixed it up,....

changlinn (morganstorey) wrote :

Weirdly this just started happening to two fairly static (non-updated) ubuntu 6.06's that a client has. The linux2go patch seems no longer available and I have just updated samba smfs, and associated libraries, so I may have to go through and run all the patches for the machine incase I missed one. But the next question is, is it resolved. and Why did it start happening on both machines at the same time.

Changed in samba:
assignee: adconrad → ubuntu-server
Nicolas Valcarcel (nvalcarcel) wrote :

does this bug is still present in gutsy? use samba and a remote printer and it works fine

BigDaddy (jungerle) wrote :

I need to verify it's still an issue.

On Nov 13, 2007 2:41 PM, Nicolas Valcárcel <email address hidden> wrote:

> does this bug is still present in gutsy? use samba and a remote printer
> and it works fine
>
> --
> cups smb printing backend no longer works
> https://bugs.launchpad.net/bugs/39484
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
It is in games that many men discover their paradise.
-- Robert Lynd

Nicolas Valcarcel (nvalcarcel) wrote :

No one has confirmed this bug is still on hardy, marking it as invalid, please feel free to reopen the bug report if someone can reproduce it on hardy.

Changed in samba:
status: Confirmed → Invalid
socceroos (skduff) wrote :

Yes, it is still happening in Hardy Heron 8.04.

I am trying to connect to a printer via SMB and this is the error that I'm getting:

E [16/Apr/2008:14:33:51 +1000] CUPS-Add-Modify-Printer: Unauthorized
E [16/Apr/2008:14:36:19 +1000] cupsdAuthorize: Local authentication certificate not found!
E [16/Apr/2008:14:36:19 +1000] Resume-Printer: Unauthorized
E [16/Apr/2008:14:36:22 +1000] [Job 12] No ticket cache found for userid=0
E [16/Apr/2008:14:36:22 +1000] [Job 12] Can not get the ticket cache for root
E [16/Apr/2008:14:36:22 +1000] [Job 12] Session setup failed: NT_STATUS_LOGON_FAILURE
E [16/Apr/2008:14:36:22 +1000] [Job 12] Tree connect failed (NT_STATUS_ACCESS_DENIED)
E [16/Apr/2008:14:36:22 +1000] [Job 12] Unable to connect to CIFS host, will retry in 60 seconds...
E [16/Apr/2008:14:36:34 +1000] PID 26905 (/usr/lib/cups/filter/foomatic-rip) crashed on signal 9!
E [16/Apr/2008:14:36:34 +1000] PID 26906 (/usr/lib/cups/backend/smb) crashed on signal 9!
E [16/Apr/2008:14:36:34 +1000] [Job 12] No ticket cache found for userid=0
E [16/Apr/2008:14:36:34 +1000] [Job 12] Can not get the ticket cache for root
E [16/Apr/2008:14:36:34 +1000] [Job 12] Session setup failed: NT_STATUS_LOGON_FAILURE
E [16/Apr/2008:14:36:34 +1000] [Job 12] Tree connect failed (NT_STATUS_ACCESS_DENIED)
E [16/Apr/2008:14:36:34 +1000] [Job 12] Unable to connect to CIFS host, will retry in 60 seconds...
E [16/Apr/2008:14:36:41 +1000] [Job 13] No ticket cache found for userid=0
E [16/Apr/2008:14:36:41 +1000] [Job 13] Can not get the ticket cache for root
E [16/Apr/2008:14:36:41 +1000] [Job 13] Session setup failed: NT_STATUS_LOGON_FAILURE
E [16/Apr/2008:14:36:41 +1000] [Job 13] Tree connect failed (NT_STATUS_ACCESS_DENIED)
E [16/Apr/2008:14:36:41 +1000] [Job 13] Unable to connect to CIFS host, will retry in 60 seconds...
E [16/Apr/2008:14:38:53 +1000] [Job 14] No ticket cache found for userid=0
E [16/Apr/2008:14:38:53 +1000] [Job 14] Can not get the ticket cache for root
E [16/Apr/2008:14:38:53 +1000] [Job 14] Session setup failed: NT_STATUS_LOGON_FAILURE
E [16/Apr/2008:14:38:53 +1000] [Job 14] Tree connect failed (NT_STATUS_ACCESS_DENIED)
E [16/Apr/2008:14:38:53 +1000] [Job 14] Unable to connect to CIFS host, will retry in 60 seconds...
E [16/Apr/2008:14:39:23 +1000] [Job 15] No ticket cache found for userid=0
E [16/Apr/2008:14:39:23 +1000] [Job 15] Can not get the ticket cache for root
E [16/Apr/2008:14:39:23 +1000] [Job 15] Session setup failed: NT_STATUS_LOGON_FAILURE
E [16/Apr/2008:14:39:23 +1000] [Job 15] Tree connect failed (NT_STATUS_ACCESS_DENIED)
E [16/Apr/2008:14:39:23 +1000] [Job 15] Unable to connect to CIFS host, will retry in 60 seconds...

Changed in samba:
status: Invalid → Confirmed
Changed in samba:
milestone: none → ubuntu-8.04
Steve Langasek (vorlon) wrote :

This bug is a segfault of the smb cups backend that was fixed in Ubuntu 6.06. Please do not use it as a generic dumping ground for reporting issues with smb printing problems. In particular, "Local authentication certificate not found!" is *not* an error message indicating the presence of this bug.

socceroos, your log clearly shows that you are unable to authenticate to the print server. That's unrelated to this bug, and most likely not a bug at all but a configuration error.

Closing this bug again.

Changed in samba:
milestone: ubuntu-8.04 → none
status: Confirmed → Fix Released
socceroos (skduff) wrote :

If you have a look at the original bug report at the top of this page you can see how I would figure that it is related (uuuh, the same error?). Whats more, I'm not spamming this bug with my own, if you read this post please (just above mine): "No one has confirmed this bug is still on hardy, marking it as invalid, please feel free to reopen the bug report if someone can reproduce it on hardy."

I added this because I'm still experiencing problems adding SMB printers and this bug was so close to the one I was going to report that I thought it would be best to add something here rather than open up a 'duplicate' report.

david_kt (d-kuntadi) wrote :

I can confirm that this bug return again in dapper from last upgrade of samba to 3.0.22. Before that, I could print from other dapper and windows XP to dapper print server, but recently it stopped with message in linux client printer:

Ready: /usr/lib/cups/filter/foomatic-rip failed

And using debug, it shows the problem is:

error writing spool : NT_STATUS_ACCESS_DENIED

I have sent an email to samba mailing list about this problem as I thought it is samba related issue, not ubuntu.

David

david_kt (d-kuntadi) wrote :

I just realised that I have not upgraded samba. I upgraded many other things but samba. So, should we reopen this bug for dapper?

David

david_kt (d-kuntadi) wrote :

After I downgraded cupsys from cupsys_1.2.2-0ubuntu0.6.06.9_i386 to cupsys_1.2.2-0ubuntu0.6.06_i386, it works again. Should I open a new bug report for cupsys or just re-open this bug?

David

Displaying first 40 and last 40 comments. View all 104 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers